import { publishSite as publicPublishSite, duplicateSite as publicDuplicateSite, bulkDeleteSite as publicBulkDeleteSite } from './site-actions-v1-site-actions-site-actions.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const publishSite: MaybeContext<BuildRESTFunction<typeof publicPublishSite> & typeof publicPublishSite>;
export declare const duplicateSite: MaybeContext<BuildRESTFunction<typeof publicDuplicateSite> & typeof publicDuplicateSite>;
export declare const bulkDeleteSite: MaybeContext<BuildRESTFunction<typeof publicBulkDeleteSite> & typeof publicBulkDeleteSite>;
export { EmptyEntity, PublishSiteRequest, PublishSiteResponse, DeployStandalonePagesRequest, DeployStandalonePagesResponse, DuplicateSiteRequest, DuplicateSiteResponse, BulkDeleteSiteRequest, BulkDeleteSiteResponse, BulkSiteResult, ItemMetadata, ApplicationError, BulkActionMetadata, DuplicateSiteResponseNonNullableFields, BulkDeleteSiteResponseNonNullableFields, DuplicateSiteOptions, } from './site-actions-v1-site-actions-site-actions.universal.js';
