import { bulkDeleteSite as universalBulkDeleteSite, duplicateSite as universalDuplicateSite, publishSite as universalPublishSite, } from './site-actions-v1-site-actions-site-actions.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/site-actions' };
export function publishSite(httpClient) {
    return () => universalPublishSite(
    // @ts-ignore
    { httpClient });
}
export function duplicateSite(httpClient) {
    return (sourceSiteId, options) => universalDuplicateSite(sourceSiteId, options, 
    // @ts-ignore
    { httpClient });
}
export function bulkDeleteSite(httpClient) {
    return (ids) => universalBulkDeleteSite(ids, 
    // @ts-ignore
    { httpClient });
}
//# sourceMappingURL=site-actions-v1-site-actions-site-actions.public.js.map